# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

import pymascot.attribute_config_pb2 as attribute__config__pb2
import pymascot.attributes_pb2 as attributes__pb2
import pymascot.commands_pb2 as commands__pb2
import pymascot.device_pb2 as device__pb2
import pymascot.device_properties_pb2 as device__properties__pb2
import pymascot.subscriptions_pb2 as subscriptions__pb2


class MascotDeviceServerStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetAttributeList = channel.unary_unary(
        '/mascot.MascotDeviceServer/GetAttributeList',
        request_serializer=device__pb2.GetAttributeListMessage.SerializeToString,
        response_deserializer=device__pb2.AttributeListReply.FromString,
        )
    self.GetCommandList = channel.unary_unary(
        '/mascot.MascotDeviceServer/GetCommandList',
        request_serializer=device__pb2.GetCommandListMessage.SerializeToString,
        response_deserializer=device__pb2.CommandListReply.FromString,
        )
    self.ReadAttribute = channel.unary_unary(
        '/mascot.MascotDeviceServer/ReadAttribute',
        request_serializer=attributes__pb2.ReadAttributeMessage.SerializeToString,
        response_deserializer=attributes__pb2.ReadAttributeReply.FromString,
        )
    self.WriteAttribute = channel.unary_unary(
        '/mascot.MascotDeviceServer/WriteAttribute',
        request_serializer=attributes__pb2.WriteAttributeMessage.SerializeToString,
        response_deserializer=attributes__pb2.WriteReply.FromString,
        )
    self.ReadAttributeConfig = channel.unary_unary(
        '/mascot.MascotDeviceServer/ReadAttributeConfig',
        request_serializer=attributes__pb2.ReadAttributeMessage.SerializeToString,
        response_deserializer=attribute__config__pb2.AttributeConfigReply.FromString,
        )
    self.ReadDeviceProperties = channel.unary_unary(
        '/mascot.MascotDeviceServer/ReadDeviceProperties',
        request_serializer=device__properties__pb2.ReadDevicePropertiesMessage.SerializeToString,
        response_deserializer=device__properties__pb2.DeviceProperties.FromString,
        )
    self.WriteDeviceProperties = channel.unary_unary(
        '/mascot.MascotDeviceServer/WriteDeviceProperties',
        request_serializer=device__properties__pb2.DeviceProperties.SerializeToString,
        response_deserializer=attributes__pb2.WriteReply.FromString,
        )
    self.ReadDeviceAttributeMeta = channel.unary_unary(
        '/mascot.MascotDeviceServer/ReadDeviceAttributeMeta',
        request_serializer=device__properties__pb2.ReadDeviceAttributeMetaMessage.SerializeToString,
        response_deserializer=device__properties__pb2.DeviceAttributeMeta.FromString,
        )
    self.WriteDeviceAttributeMeta = channel.unary_unary(
        '/mascot.MascotDeviceServer/WriteDeviceAttributeMeta',
        request_serializer=device__properties__pb2.DeviceAttributeMeta.SerializeToString,
        response_deserializer=attributes__pb2.WriteReply.FromString,
        )
    self.Subscribe = channel.unary_unary(
        '/mascot.MascotDeviceServer/Subscribe',
        request_serializer=subscriptions__pb2.SubscribeMessage.SerializeToString,
        response_deserializer=subscriptions__pb2.SubscribeReply.FromString,
        )
    self.Unsubscribe = channel.unary_unary(
        '/mascot.MascotDeviceServer/Unsubscribe',
        request_serializer=subscriptions__pb2.UnsubscribeMessage.SerializeToString,
        response_deserializer=subscriptions__pb2.UnsubscribeReply.FromString,
        )
    self.ExecuteCommand = channel.unary_unary(
        '/mascot.MascotDeviceServer/ExecuteCommand',
        request_serializer=commands__pb2.CommandMessage.SerializeToString,
        response_deserializer=commands__pb2.CommandReply.FromString,
        )


class MascotDeviceServerServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def GetAttributeList(self, request, context):
    """Device definition
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCommandList(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ReadAttribute(self, request, context):
    """Attributes
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def WriteAttribute(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ReadAttributeConfig(self, request, context):
    """Configuration
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ReadDeviceProperties(self, request, context):
    """Properties
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def WriteDeviceProperties(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ReadDeviceAttributeMeta(self, request, context):
    """Attribute Meta
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def WriteDeviceAttributeMeta(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Subscribe(self, request, context):
    """Subscriptions
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Unsubscribe(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ExecuteCommand(self, request, context):
    """Commands
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_MascotDeviceServerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetAttributeList': grpc.unary_unary_rpc_method_handler(
          servicer.GetAttributeList,
          request_deserializer=device__pb2.GetAttributeListMessage.FromString,
          response_serializer=device__pb2.AttributeListReply.SerializeToString,
      ),
      'GetCommandList': grpc.unary_unary_rpc_method_handler(
          servicer.GetCommandList,
          request_deserializer=device__pb2.GetCommandListMessage.FromString,
          response_serializer=device__pb2.CommandListReply.SerializeToString,
      ),
      'ReadAttribute': grpc.unary_unary_rpc_method_handler(
          servicer.ReadAttribute,
          request_deserializer=attributes__pb2.ReadAttributeMessage.FromString,
          response_serializer=attributes__pb2.ReadAttributeReply.SerializeToString,
      ),
      'WriteAttribute': grpc.unary_unary_rpc_method_handler(
          servicer.WriteAttribute,
          request_deserializer=attributes__pb2.WriteAttributeMessage.FromString,
          response_serializer=attributes__pb2.WriteReply.SerializeToString,
      ),
      'ReadAttributeConfig': grpc.unary_unary_rpc_method_handler(
          servicer.ReadAttributeConfig,
          request_deserializer=attributes__pb2.ReadAttributeMessage.FromString,
          response_serializer=attribute__config__pb2.AttributeConfigReply.SerializeToString,
      ),
      'ReadDeviceProperties': grpc.unary_unary_rpc_method_handler(
          servicer.ReadDeviceProperties,
          request_deserializer=device__properties__pb2.ReadDevicePropertiesMessage.FromString,
          response_serializer=device__properties__pb2.DeviceProperties.SerializeToString,
      ),
      'WriteDeviceProperties': grpc.unary_unary_rpc_method_handler(
          servicer.WriteDeviceProperties,
          request_deserializer=device__properties__pb2.DeviceProperties.FromString,
          response_serializer=attributes__pb2.WriteReply.SerializeToString,
      ),
      'ReadDeviceAttributeMeta': grpc.unary_unary_rpc_method_handler(
          servicer.ReadDeviceAttributeMeta,
          request_deserializer=device__properties__pb2.ReadDeviceAttributeMetaMessage.FromString,
          response_serializer=device__properties__pb2.DeviceAttributeMeta.SerializeToString,
      ),
      'WriteDeviceAttributeMeta': grpc.unary_unary_rpc_method_handler(
          servicer.WriteDeviceAttributeMeta,
          request_deserializer=device__properties__pb2.DeviceAttributeMeta.FromString,
          response_serializer=attributes__pb2.WriteReply.SerializeToString,
      ),
      'Subscribe': grpc.unary_unary_rpc_method_handler(
          servicer.Subscribe,
          request_deserializer=subscriptions__pb2.SubscribeMessage.FromString,
          response_serializer=subscriptions__pb2.SubscribeReply.SerializeToString,
      ),
      'Unsubscribe': grpc.unary_unary_rpc_method_handler(
          servicer.Unsubscribe,
          request_deserializer=subscriptions__pb2.UnsubscribeMessage.FromString,
          response_serializer=subscriptions__pb2.UnsubscribeReply.SerializeToString,
      ),
      'ExecuteCommand': grpc.unary_unary_rpc_method_handler(
          servicer.ExecuteCommand,
          request_deserializer=commands__pb2.CommandMessage.FromString,
          response_serializer=commands__pb2.CommandReply.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'mascot.MascotDeviceServer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
